V2020.1.56.3_ About Window

Overview

Prespective’s About Window does the following:

  • Display the version of Prespective in your current Unity project

  • List required project settings with their current values and an option to apply the required settings

  • Notify you when an update is available

  • Link to the user documentation

  • Link to the bug reporting page


Required Project Settings

In order to use Prespective with full functionality, some specific Unity project settings are required. These are the API Compatibility Level (.NET 4.6 is required) and Physics Friction Type (Two Directional Friction is required).

When you import Prespective’s Unity Package into a blank Unity project, these project settings are unlikely to be set as required. The About Window will automatically pop up, showing the settings that need to change. If the current settings differ, they will be marked red. Click Apply Required Settings to set them as required. If the API Compatibility Level is changed, the Unity Project will be recompiled and the following message will show:


Update

If an update to prespective is available, the About Window will pop up when you open your Unity Project, showing the available update. If you do not want to be notified about updates every time you open your project, simply uncheck Notify on start when updates are available.


Report a Bug

The ‘Report a Bug' button will open the Support page on the Prespective website.